POST
/
api
/
v1
/
servicing
/
events
Record servicing event
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/servicing/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_type": "PAYMENT_RECEIVED",
  "loan_ref": "<string>",
  "event_time": "2023-11-07T05:31:56Z",
  "amount": 123,
  "payment_time": "2023-11-07T05:31:56Z",
  "due_date": "2023-11-07T05:31:56Z",
  "repaid_at": "2023-11-07T05:31:56Z",
  "servicing_ref": "<string>",
  "idempotency_key": "<string>"
}
'
{
  "event_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Servicing Event Request schema.

event_type
enum<string>
required

Servicing event type

Available options:
PAYMENT_RECEIVED,
PAYMENT_MISSED,
LOAN_REPAID,
COLLATERAL_FUNDING_EXPIRED
loan_ref
string
required

Loan reference

event_time
string<date-time> | null

Event timestamp

amount

Payment amount for payment events

payment_time
string<date-time> | null

Timestamp payment was received

due_date
string<date-time> | null

Missed payment due date

repaid_at
string<date-time> | null

Timestamp loan was fully repaid

servicing_ref
string | null

Servicing reference

idempotency_key
string | null

Idempotency key for safe retries

Response

Servicing event accepted

Event Id Response schema.

event_id
string
required

Event identifier